#!/bin/bash

# Spiral_3 by SFR'2013
# Based on vovchik's "complex-spiral-inline.bac" written in BaCon
# GPLv2 applies
# Req: Gtkdialog >=0.8.0, Bash, sed

USE_BASH=; [ "`readlink /bin/sh`" != bash ] && USE_BASH="bash -c "

export TEMPDIR=/dev/shm/spiral_3_$$
mkdir $TEMPDIR
trap 'rm -rf $TEMPDIR' EXIT

export PIC=$TEMPDIR/pic.svg
export ROTATION=$TEMPDIR/rotation
echo 0 > $ROTATION

echo   '<svg width="390" height="390" transform="rotate(0 195 195)"> 
		<defs id="defs11533"> 
		<linearGradient id="L7794"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#f60;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.882657,0.19316,-0.177906,-1.733995,2642.919,-185.3268)" xlink:href="#L7794" id="R6889" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7788"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#ff7f2a;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.727009,-0.774047,0.712926,-1.590637,2542.083,725.6386)" xlink:href="#L7788" id="R6885" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7782"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#f95;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.10861,-1.533849,1.412731,-1.021069,1999.274,1464.14)" xlink:href="#L7782" id="R6881" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7776"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#ffb380;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-0.19316,-1.882657,1.733995,-0.177906,1159.937,1832.297)" xlink:href="#L7776" id="R6877" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7824"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#fca;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(0.774047,-1.727009,1.590637,0.712926,248.9712,1731.461)" xlink:href="#L7824" id="R6873" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7830"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#ffe6d5;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.533849,-1.10861,1.021069,1.412731,-489.5305,1188.652)" xlink:href="#L7830" id="R6869" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.882657,-0.19316,0.177906,1.733995,-857.6873,349.3149)" xlink:href="#L6841" id="R6865" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7818"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#2b1100;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.727009,0.774047,-0.712926,1.590637,-756.8517,-561.6511)" xlink:href="#L7818" id="R6861" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7812"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#520;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.10861,1.533849,-1.412731,1.021069,-214.0425,-1300.153)" xlink:href="#L7812" id="R6857" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7806"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#803300;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(0.19316,1.882657,-1.733995,0.177906,625.2951,-1668.31)" xlink:href="#L7806" id="R6853" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L7800"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#a40;stop-opacity:1"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-0.774047,1.727009,-1.590637,-0.712926,1536.261,-1567.474)" xlink:href="#L7800" id="R6849" r="596" gradientUnits="userSpaceOnUse"/> 
		<linearGradient id="L6841"> 
		<stop offset="0" style="stop-color:#f49d5d;stop-opacity:1;"/> 
		<stop offset="1" style="stop-color:#bc4d00;stop-opacity:1;"/> 
		</linearGradient> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.533849,1.10861,-1.021069,-1.41273,2274.763,-1024.665)" xlink:href="#L6841" id="R6839" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.533849,1.10861,-1.021069,-1.41273,2274.763,-1024.665)" xlink:href="#L6841" id="R11610" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-0.774047,1.727009,-1.590637,-0.712926,1536.261,-1567.474)" xlink:href="#L7800" id="R11612" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(0.19316,1.882657,-1.733995,0.177906,625.2951,-1668.31)" xlink:href="#L7806" id="R11614" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.10861,1.533849,-1.412731,1.021069,-214.0425,-1300.153)" xlink:href="#L7812" id="R11616" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.727009,0.774047,-0.712926,1.590637,-756.8517,-561.6511)" xlink:href="#L7818" id="R11618" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.882657,-0.19316,0.177906,1.733995,-857.6873,349.3149)" xlink:href="#L6841" id="R11620" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(1.533849,-1.10861,1.021069,1.412731,-489.5305,1188.652)" xlink:href="#L7830" id="R11622" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(0.774047,-1.727009,1.590637,0.712926,248.9712,1731.461)" xlink:href="#L7824" id="R11624" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-0.19316,-1.882657,1.733995,-0.177906,1159.937,1832.297)" xlink:href="#L7776" id="R11626" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.10861,-1.533849,1.412731,-1.021069,1999.274,1464.14)" xlink:href="#L7782" id="R11628" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.727009,-0.774047,0.712926,-1.590637,2542.083,725.6386)" xlink:href="#L7788" id="R11630" r="596" gradientUnits="userSpaceOnUse"/> 
		<radialGradient fx="924" fy="-66" cx="924" cy="-66" gradientTransform="matrix(-1.882657,0.19316,-0.177906,-1.733995,2642.919,-185.3268)" xlink:href="#L7794" id="R11632" r="596" gradientUnits="userSpaceOnUse"/> 
		</defs> 
		<g id="layer1" transform="translate(498.56801,-1043.2633)"> 
		<g id="g11596" transform="matrix(0.1781914,0,0,0.1781914,-462.69438,1223.5829)"> 
		<path style="fill:url(#R11610);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M -28.88677,549.65673 C -214.55575,432.98814 108.76436,939.83104 327.89263,948.03447 C 547.0209,956.2379 775.67143,890.28279 935.77813,735.41046 C 1088.7675,587.42279 1192.8746,296.27322 1007.1728,128.89295 C 980.23711,104.61475 931.91805,80.135145 892.61623,82.675888 C 928.16468,100.04661 957.77042,145.40612 968.95833,179.89953 C 1046.0906,417.7061 810.35629,617.79546 603.86972,669.46185 C 387.777,723.53185 156.78221,666.32532 -28.88677,549.65673 z "/> 
		<path style="fill:url(#R11612);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 328.4027,947.75327 C 109.27435,939.5498 642.69923,1216.8286 836.5716,1114.3688 C 1030.444,1011.9091 1195.4836,840.46499 1256.7039,626.28827 C 1315.2027,421.63251 1259.7873,117.43603 1015.2747,65.331366 C 979.80863,57.773673 925.72329,60.733244 892.95729,82.584502 C 932.42851,79.853763 980.74759,104.33338 1007.6833,128.6116 C 1193.3851,295.99199 1089.2779,587.14162 936.28846,735.12931 C 776.18167,890.00166 547.53105,955.95675 328.4027,947.75327 z "/> 
		<path style="fill:url(#R11614);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 836.87273,1113.8703 C 643.00028,1216.33 1243.5992,1189.7481 1360.2677,1004.0791 C 1476.9362,818.41018 1534.1427,587.41543 1480.0726,371.3228 C 1428.4062,164.83631 1228.3168,-70.897867 990.51038,6.23447 C 956.01701,17.422351 910.65752,47.028085 893.20696,82.334829 C 926.02467,60.23433 980.11003,57.27476 1015.5761,64.83246 C 1260.0888,116.93723 1315.5042,421.13381 1257.0053,625.78962 C 1195.7849,839.96641 1030.7452,1011.4105 836.87273,1113.8703 z "/> 
		<path style="fill:url(#R11616);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 1360.2792,1003.4968 C 1243.6106,1189.1657 1750.4536,865.84568 1758.6569,646.71736 C 1766.8604,427.5891 1700.9053,198.93853 1546.0329,38.831875 C 1398.0452,-114.15747 1106.8956,-218.26456 939.5154,-32.562783 C 915.2372,-5.6271091 890.7576,42.691954 893.29834,81.993771 C 910.66906,46.445322 956.02857,16.839579 990.52194,5.6517046 C 1228.3285,-71.480591 1428.418,164.25368 1480.0843,370.74026 C 1534.1543,586.833 1476.9478,817.82778 1360.2792,1003.4968 z "/> 
		<path style="fill:url(#R11618);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 1758.3758,646.20732 C 1750.1722,865.3356 2027.4511,331.91075 1924.9912,138.03841 C 1822.5316,-55.83398 1651.0875,-220.87363 1436.9107,-282.09386 C 1232.2549,-340.59267 928.05844,-285.17726 875.95382,-40.6647 C 868.39612,-5.1986221 871.3557,48.886714 893.20695,81.652716 C 890.47621,42.181496 914.95583,-6.1375845 939.23403,-33.073253 C 1106.6144,-218.77506 1397.7641,-114.66794 1545.7517,38.321531 C 1700.6241,198.42833 1766.5792,427.07893 1758.3758,646.20732 z "/> 
		<path style="fill:url(#R11620);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 1924.4928,137.73725 C 2026.9524,331.60971 2000.3705,-268.98921 1814.7015,-385.65763 C 1629.0327,-502.32625 1398.0379,-559.53273 1181.9453,-505.4626 C 975.45872,-453.79616 739.72457,-253.70678 816.85692,-15.900377 C 828.0448,18.592997 857.65054,63.952482 892.95728,81.403047 C 870.85678,48.585338 867.89721,-5.5000231 875.45491,-40.966096 C 927.55966,-285.47876 1231.7563,-340.8942 1436.412,-282.39523 C 1650.5888,-221.17488 1822.0329,-56.135201 1924.4928,137.73725 z "/> 
		<path style="fill:url(#R11622);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 1814.1193,-385.66924 C 1999.7881,-269.00057 1676.4681,-775.84354 1457.3398,-784.04686 C 1238.2116,-792.25045 1009.561,-726.29531 849.45437,-571.4229 C 696.46496,-423.43516 592.35789,-132.2856 778.05967,35.094608 C 804.99534,59.372806 853.31441,83.852402 892.61622,81.311665 C 857.06778,63.940945 827.46203,18.581433 816.27416,-15.911937 C 739.14186,-253.71849 974.87616,-453.80799 1181.3627,-505.47424 C 1397.4554,-559.54427 1628.4502,-502.33776 1814.1193,-385.66924 z "/> 
		<path style="fill:url(#R11624);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 1456.8298,-783.76581 C 1675.958,-775.56218 1142.5332,-1052.8411 948.66087,-950.3812 C 754.78849,-847.92162 589.74883,-676.47749 528.52863,-462.30073 C 470.02978,-257.64488 525.44519,46.551565 769.95776,98.656188 C 805.42383,106.21389 859.50917,103.25431 892.27517,81.403058 C 852.80395,84.133793 804.48487,59.654179 777.5492,35.375979 C 591.84739,-132.00439 695.95454,-423.15413 848.944,-571.14168 C 1009.0508,-726.01405 1237.7014,-791.96916 1456.8298,-783.76581 z "/> 
		<path style="fill:url(#R11626);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 948.35972,-949.8828 C 1142.2321,-1052.3423 541.63324,-1025.7605 424.96482,-840.0915 C 308.29621,-654.42271 251.08973,-423.42791 305.15987,-207.33529 C 356.8263,-0.84870088 556.91568,234.88544 794.72208,157.75309 C 829.21545,146.56521 874.57494,116.95947 892.0255,81.652732 C 859.20779,103.75323 805.12243,106.7128 769.65636,99.155097 C 525.14369,47.05035 469.72826,-257.1463 528.22724,-461.802 C 589.44761,-675.97881 754.48728,-847.42291 948.35972,-949.8828 z "/> 
		<path style="fill:url(#R11628);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 424.95322,-839.50929 C 541.62188,-1025.178 34.778907,-701.85807 26.575592,-482.72979 C 18.372007,-263.60159 84.327142,-34.95099 239.19957,125.15564 C 387.1873,278.14506 678.33686,382.25212 845.71707,196.55035 C 869.99526,169.61467 894.47486,121.2956 891.93412,81.993792 C 874.5634,117.54224 829.20389,147.14798 794.71052,158.33586 C 556.90396,235.46816 356.81447,-0.2661561 305.14822,-206.75268 C 251.07821,-422.84542 308.28471,-653.84021 424.95322,-839.50929 z "/> 
		<path style="fill:url(#R11630);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M 26.856651,-482.21978 C 35.06032,-701.34793 -242.21861,-167.92317 -139.75874,25.949146 C -37.299158,219.82153 134.14496,384.86119 348.32174,446.08138 C 552.97758,504.58024 857.17403,449.16482 909.27865,204.65226 C 916.83634,169.18619 913.87676,115.10084 892.02551,82.33485 C 894.75625,121.80607 870.27664,170.12515 845.99844,197.06082 C 678.61807,382.76263 387.46833,278.65547 239.48078,125.66602 C 84.60841,-34.440777 18.653298,-263.09138 26.856651,-482.21978 z "/> 
		<path style="fill:url(#R11632);fill-opacity:1;fill-rule:evenodd;stroke:white;stroke-width:6px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;display:inline" d="M -139.26033,26.250298 C -241.71982,-167.62208 -215.13804,432.97678 -29.469032,549.64519 C 156.19976,666.31381 387.19455,723.52029 603.28718,669.45014 C 809.77377,617.78372 1045.5079,417.69433 968.37555,179.88793 C 957.18767,145.39457 927.58192,100.03508 892.27519,82.58452 C 914.37569,115.40223 917.33527,169.48759 909.77757,204.95366 C 857.67282,449.46633 553.47617,504.88175 348.82046,446.38278 C 134.64366,385.16241 -36.800446,220.12274 -139.26033,26.250298 z "/> 
		</g> 
		</g> 
		</svg>' > $PIC

# =============================================================================
spiral () {
  ROT=$(<$ROTATION); ROT=$(($ROT-2)); echo $ROT > $ROTATION
  sed -i 's/rotate(.*/rotate('$ROT' 195 195)">/' $PIC
}
export -f spiral

export MAIN='
<window title="Spiral_3">
    <pixmap>
      <variable>PICTURE</variable>
      <input file>'$PIC'</input>
    </pixmap>
    <timer visible="false" milliseconds="true" interval="75">
      <action>'$USE_BASH'spiral</action>
      <action>refresh:PICTURE</action>
    </timer>
<action signal="hide">exit:abort</action>
</window>
'

gtkdialog -cp MAIN